import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vite.dev/config/
export default defineConfig({
  plugins: [vue()],
  server: {
    port: 5177,
    proxy: {
      '/ae-api': {
        target: 'http://103.131.168.155:8001',
        // target: 'http://localhost:8001',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/ae-api/, ''),
      },
      '/ae-prod': {
        // target: 'http://103.131.168.155:8001',
        target: 'http://103.131.168.155:8041',
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/ae-prod/, ''),
      },
    },
  },
})
